## org.eclipse.emf.ecore.impl
Class EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableDynamic

    java.lang.Object
      org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle
          org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleData
              org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettable
                  org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableDynamic

All Implemented Interfaces:
  EStructuralFeature.Internal.SettingDelegate

Enclosing class:
  EStructuralFeatureImpl

    public static class EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableDynamic

extends EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettable

Field Summary
`protected EDataType` `eDataType`

Fields inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleData
`defaultValue, intrinsicDefaultValue`

Fields inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle
`feature, NIL`

Constructor Summary
`EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableDynamic(EDataType eDataType, java.lang.Object defaultValue, java.lang.Object intrinsicDefaultValue, EStructuralFeature feature)`

Method Summary
`protected void` `validate(java.lang.Object object)`

Methods inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettable
`dynamicIsSet, dynamicSet, dynamicUnset`

Methods inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleData
`dynamicGet`

Methods inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle
`dynamicInverseAdd, dynamicInverseRemove, dynamicSetting`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eDataType

    protected EDataType eDataType

Constructor Detail

### EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableDynamic

    public EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableDynamic(EDataType eDataType,
                                                                                     java.lang.Object defaultValue,
                                                                                     java.lang.Object intrinsicDefaultValue,
                                                                                     EStructuralFeature feature)

Method Detail

### validate

    protected void validate(java.lang.Object object)

  Overrides:
    `validate` in class `EStructuralFeatureImpl.InternalSettingDelegateSingleData`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.